## org.eclipse.datatools.enablement.sybase.ui.util
Class DSEUtil

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ui.util.DSEUtil

    public class DSEUtil

extends java.lang.Object

Author:
  Hao-yue

Field Summary
`static java.lang.String` `DSEID`
`static java.lang.String` `EEID`

Constructor Summary
`DSEUtil()`

Method Summary
`static boolean` `checkIsShowOwner(java.lang.Object element)`
`static boolean` `checkIsShowSchema(java.lang.Object element)`
`static IConnectionProfile` `findConnectionProfileByChild(java.lang.Object child)`
`static Database` `findDatabaseByChild(java.lang.Object child)`
`static java.lang.String` `findDatabaseNameByChild(java.lang.Object child)`
`static IConnectionProfile` `findParentProfileByElement(java.lang.Object element)`
`static IConnectionProfile` `findParentProfileBySelectionElement()`
`static org.eclipse.swt.widgets.TreeItem` `findTreeItem(java.lang.Object targetData)`
`static org.eclipse.ui.navigator.CommonNavigator` `getDSEView(org.eclipse.ui.IViewReference[] reference)`
`static void` `refreshItem(java.lang.Object item)`
`static void` `refreshObjectBySchema(Schema schema, java.lang.Object object)`
`static void` `setSelection(org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DSEID

    public static final java.lang.String DSEID

See Also:
  Constant Field Values

### EEID

    public static final java.lang.String EEID

See Also:
  Constant Field Values

Constructor Detail

### DSEUtil

    public DSEUtil()

Method Detail

### getDSEView

    public static org.eclipse.ui.navigator.CommonNavigator getDSEView(org.eclipse.ui.IViewReference[] reference)

### findParentProfileByElement

    public static IConnectionProfile findParentProfileByElement(java.lang.Object element)

### findParentProfileBySelectionElement

    public static IConnectionProfile findParentProfileBySelectionElement()

### findTreeItem

    public static org.eclipse.swt.widgets.TreeItem findTreeItem(java.lang.Object targetData)

### refreshItem

    public static void refreshItem(java.lang.Object item)

### setSelection

    public static void setSelection(org.eclipse.jface.viewers.ISelection selection)

### checkIsShowSchema

    public static boolean checkIsShowSchema(java.lang.Object element)

### checkIsShowOwner

    public static boolean checkIsShowOwner(java.lang.Object element)

### findConnectionProfileByChild

    public static IConnectionProfile findConnectionProfileByChild(java.lang.Object child)

### findDatabaseNameByChild

    public static java.lang.String findDatabaseNameByChild(java.lang.Object child)

### findDatabaseByChild

    public static Database findDatabaseByChild(java.lang.Object child)

### refreshObjectBySchema

    public static void refreshObjectBySchema(Schema schema,
                                             java.lang.Object object)